#
# Conditional build:
%bcond_with	tests		# build without tests

# TODO:
# - runtime Requires if any

%define		kdeframever	5.114
%define		qtver		5.15.2
%define		kfname		attica
Summary:	A Qt library that implements the Open Collaboration Services API
Name:		kf5-%{kfname}
Version:	5.114.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	c0cdba6e93c721a1902889a49ef2c193
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
%if %{with tests}
BuildRequires:	Qt5Test-devel >= %{qtver}
%endif
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5Network >= %{qtver}
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Attica is a Qt library that implements the Open Collaboration Services
API version 1.6. The REST API is defined here:
<http://freedesktop.org/wiki/Specifications/open-collaboration-services-draft/>.

It grants easy access to the services such as querying information
about persons and contents. The library is used in KNewStuff3 as
content provider. In order to integrate with KDE's Plasma Desktop, a
platform plugin exists in kdebase.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Core-devel >= %{qtver}
Requires:	Qt5Network-devel >= %{qtver}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%{?with_tests:%ninja_build -C build test}


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%attr(755,root,root) %{_libdir}/libKF5Attica.so.*.*.*
%ghost %{_libdir}/libKF5Attica.so.5
%{_datadir}/qlogging-categories5/attica.categories
%{_datadir}/qlogging-categories5/attica.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/libKF5Attica.so
%{_includedir}/KF5/Attica
%{_libdir}/cmake/KF5Attica
%{_pkgconfigdir}/libKF5Attica.pc
%{_libdir}/qt5/mkspecs/modules/qt_Attica.pri
%changelog
* Sun Jan 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-attica.git;a=log;h=master

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> acb15dd
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> efcead9
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f50aacc
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d887dbb
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 20f7d85
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9695381
- updated to 5.109.0; cmake -B build

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 1625c7d
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8190a4d
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 59eeeca
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f150a9f
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bb1e359
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c9e2d0c
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7d884be
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 48af4c4
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 73cec53
- rebuild against QT 5.15.8

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c932796
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 33fd175
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 930d892
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> f95ef9d
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1e2dbc0
- updated to 5.98.0

